Subject: Re: [1.8.0] Provide proper remote ref namespaces

From: Matthieu Moy <[email-masked]>
Date: Mon, 07 Feb 2011 07:54:36 +0100

Johan Herland <[email-masked]> writes:

> When you push to "remoteB", you would say "git push remoteB tag v1.7.4", and 
> it would resolve "v1.7.4" (via "refs/remotes/remoteA/tags/v1.7.4") into the 
> appropriate SHA-1, and then push the "v1.7.4" tag to the remote.

That means I can fetch git-gui/v1.0, gitk/v1.1 and git/v1.7, my
subproject tags are well sorted in my local repository, but if they
don't have the same shortname, they're not "ambiguous", and the
namespace will be completely flattened when I push (i.e. I'll push
v1.0, v1.1 and v1.7, and people accessing my repository will not be
able to say whether they refer to gitk, git-gui or git versions).

This defeats the point in having proper namespaces, and we'll still
see handmade namespaces like we already have now for git-gui tags in
git.git.

-- 
Matthieu Moy
http://www-verimag.imag.fr/~moy/